Bug 176663 - [NEW PORT] devel/py-billiard
[NEW PORT] devel/py-billiard
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 13:30 UTC by william88
Modified: 2013-03-13 04:50 UTC (History)
0 users

See Also:


Attachments
py-billiard.patch (7.29 KB, patch)
2013-03-05 13:30 UTC, william88
no flags Details | Diff
py-billiard.patch (8.72 KB, patch)
2013-03-05 14:10 UTC, william88
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description william88 2013-03-05 13:30:00 UTC
billiard is a fork of the Python 2.7 multiprocessing package.
The multiprocessing package itself is a renamed and updated version
of R Oudkerk's pyprocessing package. This standalone variant is intended
to be compatible with Python 2.4 and 2.5, and will draw it's
fixes/improvements from python-trunk.

This will be required for py-celery >= 3

Redports: https://redports.org/buildarchive/20130305131700-47895/
	https://redports.org/buildarchive/20130305132440-07751/

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2013-03-05 13:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 jgh freebsd_committer 2013-03-05 15:19:23 UTC
Responsible Changed
From-To: freebsd-python->jgh

I'll take it.
Comment 3 william88 2013-03-06 14:22:37 UTC
Updated reports of updated patch:

https://redports.org/buildarchive/20130305140639-70271/
https://redports.org/buildarchive/20130305135900-37609/

--
William Grzybowski
------------------------------------------
Ag=EAncia Livre - www.agencialivre.com.br
Curitiba/PR - Brasil
Comment 4 dfilter freebsd_committer 2013-03-13 04:42:15 UTC
Author: jgh
Date: Wed Mar 13 04:42:00 2013
New Revision: 314025
URL: http://svnweb.freebsd.org/changeset/ports/314025

Log:
  add new port: devel/py-billiard
  
  billiard is a fork of the Python 2.7 multiprocessing package.
  The multiprocessing package itself is a renamed and updated version
  of R Oudkerk's pyprocessing package. This standalone variant is intended
  to be compatible with Python 2.4 and 2.5, and will draw it's
  fixes/improvements from python-trunk.
  
  WWW: https://github.com/celery/billiard
  
  PR:		176663
  Submitted by:	william88@gmail.com

Added:
  head/devel/py-billiard/
  head/devel/py-billiard/Makefile   (contents, props changed)
  head/devel/py-billiard/distinfo   (contents, props changed)
  head/devel/py-billiard/files/
  head/devel/py-billiard/files/patch-setup.py   (contents, props changed)
  head/devel/py-billiard/pkg-descr   (contents, props changed)
  head/devel/py-billiard/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Wed Mar 13 04:29:50 2013	(r314024)
+++ head/devel/Makefile	Wed Mar 13 04:42:00 2013	(r314025)
@@ -3398,6 +3398,7 @@
     SUBDIR += py-async
     SUBDIR += py-avro
     SUBDIR += py-babel
+    SUBDIR += py-billiard
     SUBDIR += py-bison
     SUBDIR += py-bitarray
     SUBDIR += py-bitstring

Added: head/devel/py-billiard/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-billiard/Makefile	Wed Mar 13 04:42:00 2013	(r314025)
@@ -0,0 +1,17 @@
+# Created by: William Grzybowski <william88@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	billiard
+PORTVERSION=	2.7.3.21
+CATEGORIES=	devel python
+MASTER_SITES=	CHEESESHOP
+PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+
+MAINTAINER=	william88@gmail.com
+COMMENT=	Python multiprocessing fork with improvements and bugfixes
+
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
+PYEASYINSTALL_ARCHDEP=	yes
+
+.include <bsd.port.mk>

Added: head/devel/py-billiard/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-billiard/distinfo	Wed Mar 13 04:42:00 2013	(r314025)
@@ -0,0 +1,2 @@
+SHA256 (billiard-2.7.3.21.tar.gz) = 1a72a6f2127e3572f4ba40cb64bd5d078111520c2c080f1fb08daf217c483be5
+SIZE (billiard-2.7.3.21.tar.gz) = 125890

Added: head/devel/py-billiard/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-billiard/files/patch-setup.py	Wed Mar 13 04:42:00 2013	(r314025)
@@ -0,0 +1,30 @@
+diff --git setup.py setup.py
+index 41dc3ec..078ce12 100644
+--- setup.py
++++ setup.py
+@@ -6,6 +6,7 @@ try:
+     from setuptools import setup, Extension, find_packages
+ except ImportError:
+     from distutils.core import setup, Extension, find_packages  # noqa
++from distutils import sysconfig
+ from distutils.errors import (
+     CCompilerError,
+     DistutilsExecError,
+@@ -119,7 +120,7 @@ elif sys.platform in ('freebsd4', 'freebsd5', 'freebsd6'):
+     libraries = []
+ elif sys.platform in ('freebsd7', 'freebsd8', 'freebsd9', 'freebsd10'):
+     macros = dict(                  # FreeBSD 7+
+-            HAVE_SEM_OPEN=1,
++            HAVE_SEM_OPEN=int(sysconfig.get_config_var('HAVE_SEM_OPEN') and not bool(sysconfig.get_config_var('POSIX_SEMAPHORES_NOT_ENABLED'))),
+             HAVE_SEM_TIMEDWAIT=1,
+             HAVE_FD_TRANSFER=1,
+         )
+@@ -221,7 +222,7 @@ def run_setup(with_extensions=True):
+ 
+ try:
+     run_setup(not (is_jython or is_pypy or is_py3k))
+-except (Exception, SystemExit):
++except (Exception):
+     import traceback
+     sys.stderr.write(BUILD_WARNING % '\n'.join(traceback.format_stack(), ))
+     run_setup(False)

Added: head/devel/py-billiard/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-billiard/pkg-descr	Wed Mar 13 04:42:00 2013	(r314025)
@@ -0,0 +1,7 @@
+billiard is a fork of the Python 2.7 multiprocessing package.
+The multiprocessing package itself is a renamed and updated version
+of R Oudkerk's pyprocessing package. This standalone variant is intended
+to be compatible with Python 2.4 and 2.5, and will draw it's
+fixes/improvements from python-trunk.
+
+WWW: https://github.com/celery/billiard

Added: head/devel/py-billiard/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/py-billiard/pkg-plist	Wed Mar 13 04:42:00 2013	(r314025)
@@ -0,0 +1,84 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/native_libs.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/_billiard.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/_billiard.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/_billiard.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/_billiard.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_connection.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_connection.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_connection.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_ext.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_ext.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_ext.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_win.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_win.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/_win.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/common.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/common.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/common.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/compat.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/compat.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/compat.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/connection.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/connection.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/connection.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy/connection.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy/connection.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy/connection.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/einfo.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/einfo.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/einfo.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/forking.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/forking.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/forking.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/heap.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/heap.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/heap.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/managers.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/managers.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/managers.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/pool.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/pool.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/pool.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/process.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/process.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/process.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/queues.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/queues.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/queues.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/reduction.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/reduction.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/reduction.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/sharedctypes.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/sharedctypes.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/sharedctypes.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/synchronize.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/synchronize.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/synchronize.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests/test_multiprocessing.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests/test_multiprocessing.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests/test_multiprocessing.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/util.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard/dummy
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/billiard
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 jgh freebsd_committer 2013-03-13 04:42:19 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!